source("../R/pe.R")
source("../R/RGB.R")
args=commandArgs()
dat=file(args[5],"rb")
gmm=file(args[7],"rb")
dose=file(paste(args[8],".mean.cn",sep=""),"rb")
attrib=read.table(paste(args[8],".status",sep=""),header=T,sep="\t")
N=as.numeric(args[6])
x=readBin(dat,"double",N*2)
i=1
while(length(x)>0){
	param=readBin(gmm,"double",117)[1:90]
	png(width=1200,height=600,file=paste("../test/",i,".png",sep=""))
	par(mfcol=c(1,2))
	# intensity plot with fitted GMM
	plot(t(matrix(x,2)),xlab="A allele",ylab="B allele")
	pe(param)
	title("Fitted GMM")
	if(attrib[i,2]>0){# if genotype is called
		# intensity plot colored by Mean CN dosages
		plot(t(matrix(x,2)),xlab="A allele",ylab="B allele",col=RGB(readBin(dose,"double",N)))
		title("Mean CN Dosages")
	}
	dev.off()
	x=readBin(dat,"double",N*2)
	i=i+1
}
close(dat)
close(gmm)

